CheckSession (gCube Session Checker Widget 0.2.2-SNAPSHOT API)
Date: 2014-03-26

org.gcube.portlets.widgets.sessionchecker.client

## Class CheckSession

- java.lang.Object
- - org.gcube.portlets.widgets.sessionchecker.client.CheckSession

-     public class CheckSession
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CheckSession` | `getInstance()` method with no events launching when session expires
    `static CheckSession` | `getInstance(com.google.gwt.event.shared.HandlerManager eventBus)` use this method if you want to get an event when session expires
    `String` | `getScope()`
    `String` | `getUsername()`
    `boolean` | `isShowSessionExpiredDialog()`
    `void` | `setShowSessionExpiredDialog(boolean showSessionExpiredDialog)`
    `void` | `showLogoutDialog()`
    `void` | `startPolling()` use to start checking if the session expired
    `void` | `stopPolling()` use to stop checking if the session expired

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CheckSession getInstance(com.google.gwt.event.shared.HandlerManager eventBus)

      use this method if you want to get an event when session expires
      Parameters:
        `eventBus` - your GWT webapp instance of `HandlerManager`

    - #### getInstance

          public static CheckSession getInstance()

      method with no events launching when session expires

    - #### showLogoutDialog

          public void showLogoutDialog()

    - #### getUsername

          public String getUsername()

    - #### getScope

          public String getScope()

    - #### startPolling

          public void startPolling()

      use to start checking if the session expired

    - #### stopPolling

          public void stopPolling()

      use to stop checking if the session expired

    - #### isShowSessionExpiredDialog

          public boolean isShowSessionExpiredDialog()

    - #### setShowSessionExpiredDialog

          public void setShowSessionExpiredDialog(boolean showSessionExpiredDialog)

Copyright © 2014. All Rights Reserved.